Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 3010)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 3011)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! removed redundant if statement
+! 
+! 3004 2018-04-27 12:33:25Z Giersch
 ! precipitation_rate removed
 ! 
@@ -691,108 +694,98 @@
        ALLOCATE( q(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                             &
                  q_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                           &
-                 tq_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+                 tq_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                          &
+                 vpt(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 #else
        ALLOCATE( q_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                           &
                  q_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                           &
-                 q_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+                 q_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                           &
+                 vpt_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ) 
 #endif
 
-!
-!--    3D-arrays needed for humidity
-       IF ( humidity )  THEN
-#if defined( __nopointer )
-          ALLOCATE( vpt(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#else
-          ALLOCATE( vpt_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-#endif
-
-          IF ( cloud_physics )  THEN
+       IF ( cloud_physics )  THEN
 !
 !--          Liquid water content
 #if defined( __nopointer )
-             ALLOCATE ( ql(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+          ALLOCATE ( ql(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 #else
-             ALLOCATE ( ql_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+          ALLOCATE ( ql_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 #endif
 
 !
-!--          3D-cloud water content
-             IF ( .NOT. microphysics_morrison )  THEN
+!--       3D-cloud water content
+          IF ( .NOT. microphysics_morrison )  THEN
 #if defined( __nopointer )
-                ALLOCATE( qc(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+             ALLOCATE( qc(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 #else
-                ALLOCATE( qc_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+             ALLOCATE( qc_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 #endif
-             ENDIF
-!
-!--          Precipitation amount and rate (only needed if output is switched)
-             ALLOCATE( precipitation_amount(nysg:nyng,nxlg:nxrg) )
-
-!
-!--          3d-precipitation rate
-             ALLOCATE( prr(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-
-             IF ( microphysics_morrison )  THEN
-!
-!--             3D-cloud drop water content, cloud drop concentration arrays
+          ENDIF
+!
+!--       Precipitation amount and rate (only needed if output is switched)
+          ALLOCATE( precipitation_amount(nysg:nyng,nxlg:nxrg) )
+
+!
+!--       3d-precipitation rate
+          ALLOCATE( prr(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+
+          IF ( microphysics_morrison )  THEN
+!
+!--          3D-cloud drop water content, cloud drop concentration arrays
 #if defined( __nopointer )
-                ALLOCATE( nc(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                &
-                          nc_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),              &
-                          qc(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                &
-                          qc_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),              &
-                          tnc_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg),             & 
-                          tqc_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+             ALLOCATE( nc(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
+                       nc_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
+                       qc(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
+                       qc_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
+                       tnc_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                   & 
+                       tqc_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 #else
-                ALLOCATE( nc_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),              &
-                          nc_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),              &
-                          nc_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg),              &
-                          qc_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),              &
-                          qc_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),              &
-                          qc_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+             ALLOCATE( nc_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
+                       nc_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
+                       nc_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
+                       qc_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
+                       qc_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
+                       qc_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 #endif
-             ENDIF
-
-             IF ( microphysics_seifert )  THEN
-!
-!--             3D-rain water content, rain drop concentration arrays
+          ENDIF
+
+          IF ( microphysics_seifert )  THEN
+!
+!--          3D-rain water content, rain drop concentration arrays
 #if defined( __nopointer )
-                ALLOCATE( nr(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                &
-                          nr_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),              &
-                          qr(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                &
-                          qr_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),              &
-                          tnr_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg),             &
-                          tqr_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+             ALLOCATE( nr(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
+                       nr_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
+                       qr(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
+                       qr_p(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
+                       tnr_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                   &
+                       tqr_m(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 #else
-                ALLOCATE( nr_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),              &
-                          nr_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),              &
-                          nr_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg),              &
-                          qr_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),              &
-                          qr_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),              &
-                          qr_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+             ALLOCATE( nr_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
+                       nr_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
+                       nr_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
+                       qr_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
+                       qr_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                    &
+                       qr_3(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 #endif
-             ENDIF
-
-          ENDIF
-
-          IF ( cloud_droplets )  THEN
-!
-!--          Liquid water content, change in liquid water content
+          ENDIF
+
+       ENDIF
+
+       IF ( cloud_droplets )  THEN
+!
+!--       Liquid water content, change in liquid water content
 #if defined( __nopointer )
-             ALLOCATE ( ql(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                     &
-                        ql_c(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+          ALLOCATE ( ql(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                        &
+                     ql_c(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 #else
-             ALLOCATE ( ql_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                   &
-                        ql_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+          ALLOCATE ( ql_1(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
+                     ql_2(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 #endif
 !
-!--          Real volume of particles (with weighting), volume of particles
-             ALLOCATE ( ql_v(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                   &
-                        ql_vp(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
-          ENDIF
-
-       ENDIF
-
-    ENDIF
-    
+!--       Real volume of particles (with weighting), volume of particles
+          ALLOCATE ( ql_v(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                      &
+                     ql_vp(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+       ENDIF
+
+    ENDIF   
     
     IF ( passive_scalar )  THEN