Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 3021)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 3022)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Bugfix in calculation of left-sided fluxes for u-component in OpenMP case.
+! 
+! 2731 2018-01-09 17:44:02Z suehring
 ! Enable loop vectorization by splitting the k-loop
 ! 
@@ -1743,5 +1746,5 @@
 
        USE indices,                                                           &
-           ONLY:  nxl, nxr, nyn, nys, nzb, nzb_max, nzt, advc_flags_1
+           ONLY:  nxl, nxlu, nxr, nyn, nys, nzb, nzb_max, nzt, advc_flags_1
 
        USE kinds
@@ -1849,5 +1852,5 @@
 !
 !--    Compute leftside fluxes for the respective boundary of PE
-       IF ( i == i_omp )  THEN
+       IF ( i == i_omp  .OR.  i == nxlu )  THEN
        
           DO  k = nzb+1, nzb_max
Index: palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 3021)
+++ palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 3022)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Bugfix in allocation of transpiration rate
+! 
+! 3014 2018-05-09 08:42:38Z maronga
 ! Bugfix: nzb_do and nzt_do were not used for 3d data output
 ! Added pc_transpiration_rate
@@ -894,6 +897,5 @@
 
           ALLOCATE( cum_lai_hf(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                 &
-                    pc_heating_rate(nzb:nzt+1,nysg:nyng,nxlg:nxrg),            & 
-                    pc_transpiration_rate(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
+                    pc_heating_rate(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 !
 !--       Piecewise calculation of the cumulative leaf area index by vertical
@@ -962,6 +964,6 @@
                 DO  k = 1, pch_index_ji(j,i)
                    IF ( cum_lai_hf(0,j,i) /= 0.0_wp )  THEN
-                      pc_heating_rate(k,j,i) = cthf *                             &
-                                ( exp(-ext_coef*cum_lai_hf(k,j,i)) -              &
+                      pc_heating_rate(k,j,i) = cthf *                          &
+                                ( exp(-ext_coef*cum_lai_hf(k,j,i)) -           &
                                   exp(-ext_coef*cum_lai_hf(k-1,j,i) ) ) / dzw(k)
                    ENDIF
@@ -971,4 +973,8 @@
 
        ENDIF
+!
+!--    Allocate transpiration rate
+       IF ( humidity )                                                         &
+          ALLOCATE( pc_transpiration_rate(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 
 
Index: palm/trunk/SOURCE/pmc_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 3021)
+++ palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 3022)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Minor fix - working precision added to real number
+! 
+! 3021 2018-05-16 08:14:20Z maronga
 ! Bugfix: variable lcr was defined as INTENT(OUT) instead of INTENT(INOUT)
 ! 
@@ -2715,5 +2718,5 @@
                    more = .TRUE.
                 ELSE
-                   lcr(lcorr) = 1.0
+                   lcr(lcorr) = 1.0_wp
                    more = .FALSE.
                 ENDIF
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 3021)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 3022)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Revise recent bugfix for nesting
+! 
+! 3021 2018-05-16 08:14:20Z maronga
 ! Bugfix in IF clause for nesting
 ! 
@@ -298,6 +301,5 @@
                intermediate_timestep_count_max, large_scale_forcing,           &
                large_scale_subsidence, microphysics_morrison,                  &
-               microphysics_seifert, microphysics_sat_adjust, nest_bound_s,    &
-               neutral, nudging,                                               &
+               microphysics_seifert, microphysics_sat_adjust, neutral, nudging,&
                ocean, outflow_l, outflow_s, passive_scalar, plant_canopy,      &
                prho_reference, prho_reference,                                 &
@@ -527,6 +529,8 @@
        DO  j = nys, nyn
 !
-!--       Tendency terms for u-velocity component
-          IF ( .NOT. outflow_l  .OR.  i > nxl )  THEN
+!--       Tendency terms for u-velocity component. Please note, in case of 
+!--       non-cyclic boundary conditions the grid point i=0 is excluded from
+!--       the prognostic equations for the u-component.    
+          IF ( i >= nxlu )  THEN
 
              tend(:,j,i) = 0.0_wp
@@ -598,8 +602,9 @@
 
           ENDIF
-
-!
-!--       Tendency terms for v-velocity component
-          IF ( (.NOT. outflow_s .AND. .NOT. nest_bound_s ) .OR.  j > nys )  THEN
+!
+!--       Tendency terms for v-velocity component. Please note, in case of 
+!--       non-cyclic boundary conditions the grid point j=0 is excluded from
+!--       the prognostic equations for the v-component. !--       
+          IF ( j >= nysv )  THEN
 
              tend(:,j,i) = 0.0_wp