Index: /palm/trunk/SCRIPTS/.palm.iofiles
===================================================================
--- /palm/trunk/SCRIPTS/.palm.iofiles	(revision 3024)
+++ /palm/trunk/SCRIPTS/.palm.iofiles	(revision 3025)
@@ -46,5 +46,5 @@
 PARTICLE_INFO*             out:tr   pt#       $base_data/$jobname/MONITORING     _prt_info
 PARTICLE_INFO*             out:tra  ptr       $base_data/$jobname/MONITORING     _prt_info
-LIST_PROFIL*               out:tr   d3#       $base_data/$jobname/MONITORING     _list_pr
+LIST_PROFIL*               out:tr   *         $base_data/$jobname/MONITORING     _list_pr
 #
 DATA_1D_PR_NETCDF*         out:tr   *         $base_data/$jobname/OUTPUT         _pr        nc
Index: /palm/trunk/SCRIPTS/palmrun
===================================================================
--- /palm/trunk/SCRIPTS/palmrun	(revision 3024)
+++ /palm/trunk/SCRIPTS/palmrun	(revision 3025)
@@ -27,4 +27,11 @@
 # -----------------
 # $Id: palmrun 2718 2018-01-02 08:49:38Z maronga $
+# -T option not required for interactive runs (tasks per node =
+# total number of cores is assumed as default, if option is not given),
+# reformatting of a few messages,
+# bugfix: destination output directory is created if attribute "pe" is set in
+# .palm.iofiles
+# 
+# 2718 2018-01-02 08:49:38Z maronga
 # bugfix of r2990
 # 
@@ -216,5 +223,4 @@
  write_binary=""
  write_svf=""
- TOPT=""
 
 
@@ -305,5 +311,5 @@
     printf "\n        -b    batch-job on local machine               ---"
     printf "\n        -B    do not delete temporary directory at end ---"
-    printf "\n        -d    base name of files attached to program   test"
+    printf "\n        -d    run identifier                           test"
     printf "\n        -F    create batch job file only               ---"
     printf "\n        -h    host configuration                       \"default\" "
@@ -741,7 +747,7 @@
 
     # VALUES OF PALMRUN-OPTIONS OVERWRITE THOSE FROM THE CONFIGURATION-FILE
- [[ $palmrun_memory     != ""   ]]  &&  memory=$palmrun_memory
- [[ $palmrun_cpumax     != ""   ]]  &&  cpumax=$palmrun_cpumax
- [[ "$palmrun_cores" != ""  ]]  &&  cores=$palmrun_cores
+ [[ "$palmrun_memory" != "" ]]  &&  memory=$palmrun_memory
+ [[ "$palmrun_cpumax" != "" ]]  &&  cpumax=$palmrun_cpumax
+ [[ "$palmrun_cores"  != "" ]]  &&  cores=$palmrun_cores
  [[ "$max_par_io_str" != "" ]]  &&  maximum_parallel_io_streams=$max_par_io_str
  [[ "$palmrun_tasks_per_node" != "" ]]  &&  tasks_per_node=$palmrun_tasks_per_node
@@ -1014,8 +1020,14 @@
     if [[ $tasks_per_node = 0 ]]
     then
-       printf "\n"
-       printf "\n  +++ option \"-T\" (tasks per node) is missing"
-       printf "\n      set -T option or define tasks_per_node in the config file"
-       locat=tasks_per_node; (( iec = 0 )); exit 
+       if [[ $create_batch_job = true  ||  $create_remote_batch_job = true ]]
+       then
+          printf "\n"
+          printf "\n  +++ option \"-T\" (tasks per node) is missing"
+          printf "\n      set -T option or define tasks_per_node in the config file"
+          locat=tasks_per_node; (( iec = 0 )); exit
+       else
+             # DEFAULT FOR INTERACTIVE RUN
+          tasks_per_node=$cores
+       fi
     fi
 
@@ -1041,10 +1053,4 @@
        printf "\n      One of the nodes is filled with $remaining_cores instead of $tasks_per_node tasks"
        (( nodes = nodes + 1 ))
-    fi
-
-       # SET THE TOTAL NUMBER OF NODES, REQUIRED FOR THE SUBJOB-COMMAND (SEE FURTHER BELOW)
-    if [[ "$tasks_per_node" != "" ]]
-    then
-       TOPT="-T $tasks_per_node"
     fi
 
@@ -1498,7 +1504,7 @@
     if [[ $running_on_remote = true ]]
     then
-       column1="execution on:"; column2="$host_configuration (IP:$remote_ip)"
+       column1="host identifier:"; column2="$host_configuration (execute on IP: $remote_ip)"
     else
-       column1="execution on:"; column2="$host_configuration (IP:$local_ip)"
+       column1="host identifier:"; column2="$host_configuration (execute on IP: $local_ip)"
     fi
  fi
@@ -1645,5 +1651,5 @@
  fi
  printf "|                                                                        | \n"
- column1="base name of files:"; column2=$jobname
+ column1="run identifier:"; column2=$jobname
  printf "| %-25s%-45s | \n" "$column1" "$column2"
  column1="activation string list:"; column2=$(echo $activation_string_list)
@@ -1865,5 +1871,5 @@
     if (( i > 0 ))
     then
-       printf "  *** input files have been copied to the remote host\n"
+       printf "\n\n  *** input files have been copied to the remote host\n"
     fi
  fi
@@ -2619,4 +2625,5 @@
                    printf "  --- WARNING: ln failed, using cp instead (might be time consuming...)\n"
 		              fi
+		              [[ ! -d "${pathout[$i]}" ]]  &&  mkdir  ${pathout[$i]}
 		              cp -r  ${localout[$i]}/*  ${pathout[$i]}
        	     fi