Index: /palm/trunk/SOURCE/diagnostic_quantities_mod.f90
===================================================================
--- /palm/trunk/SOURCE/diagnostic_quantities_mod.f90	(revision 3025)
+++ /palm/trunk/SOURCE/diagnostic_quantities_mod.f90	(revision 3026)
@@ -23,6 +23,10 @@
 ! 
 ! Former revisions:
-! -----------------! 
+! ----------------- 
 ! $Id$
+! Changed the name specific humidity to mixing ratio, since we are computing
+! mixing ratios.
+! 
+! 2839 2018-02-27 09:49:06Z schwenkel
 ! Bugfix for Kessler microphysics
 ! 
@@ -94,5 +98,5 @@
        e_s = magnus( t_l )
 !
-!--    Computation of saturation humidity:
+!--    Computation of saturation mixing ratio:
        q_s   = 0.622_wp * e_s / ( hyp(k) - e_s )
 !
Index: /palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 3025)
+++ /palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 3026)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Changed the name specific humidity to mixing ratio, since we are computing
+! mixing ratios.
+! 
+! 3014 2018-05-09 08:42:38Z maronga
 ! Bugfix: set some initial values
 ! Bugfix: domain bounds of local_pf corrected
@@ -520,5 +524,5 @@
                 pavement_heat_capacity = 9999999.9_wp,  & !< volumetric heat capacity of pavement (e.g. roads) (J/m3/K)
                 pavement_heat_conduct  = 9999999.9_wp,  & !< heat conductivity for pavements (e.g. roads) (W/m/K)
-                q_s = 0.0_wp,                           & !< saturation specific humidity
+                q_s = 0.0_wp,                           & !< saturation water vapor mixing ratio
                 residual_moisture = 9999999.9_wp,       & !< NAMELIST m_res
                 rho_cp,                                 & !< rho_surface * cp
@@ -1947,5 +1951,5 @@
        ENDIF
 !
-!--    Calculate saturation specific humidity
+!--    Calculate saturation water vapor mixing ratio
        q_s = 0.622_wp * e_s / ( surface_pressure - e_s )
 !
@@ -2225,5 +2229,5 @@
 
 !
-!-- Calculate surface specific humidity
+!-- Calculate surface water vapor mixing ratio
     IF ( humidity )  THEN
        CALL calc_q_surface
@@ -2238,5 +2242,5 @@
 ! Description:
 ! ------------
-!> Calculation of specific humidity of the skin layer (surface). It is assumend
+!> Calculation of mixing ratio of the skin layer (surface). It is assumend
 !> that the skin is always saturated.
 !------------------------------------------------------------------------------!
@@ -2259,5 +2263,5 @@
 
 !
-!--       Calculate specific humidity at saturation
+!--       Calculate mixing ratio at saturation
           q_s = 0.622_wp * e_s / ( surface_pressure - e_s )
 
@@ -2265,5 +2269,5 @@
 
 !
-!--       Calculate specific humidity at surface
+!--       Calculate mixing ratio at surface
           IF ( cloud_physics )  THEN
              q(k+k_off,j+j_off,i+i_off) = resistance * q_s +                   &
Index: /palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90
===================================================================
--- /palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 3025)
+++ /palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 3026)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Changed the name specific humidity to mixing ratio, since we are computing
+! mixing ratios.
+! 
+! 2970 2018-04-13 15:09:23Z suehring
 ! Bugfix in old large-scale forcing mode
 ! 
@@ -101,10 +105,10 @@
 
     REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  ptnudge     !< vertical profile of pot. temperature interpolated to vertical grid (nudging)
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  qnudge      !< vertical profile of specific humidity interpolated to vertical grid (nudging) 
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  qnudge      !< vertical profile of water vapor mixing ratio interpolated to vertical grid (nudging) 
     REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  tnudge      !< vertical profile of nudging time scale interpolated to vertical grid (nudging)  
     REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  td_lsa_lpt  !< temperature tendency due to large scale advection (large scale forcing)
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  td_lsa_q    !< specific humidity tendency due to large scale advection (large scale forcing)
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  td_lsa_q    !< water vapor mixing ratio tendency due to large scale advection (large scale forcing)
     REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  td_sub_lpt  !< temperature tendency due to subsidence/ascent (large scale forcing)
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  td_sub_q    !< specific humidity tendency due to subsidence/ascent (large scale forcing)
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  td_sub_q    !< water vapor mixing ratio tendency due to subsidence/ascent (large scale forcing)
     REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  ug_vert     !< vertical profile of geostrophic wind component in x-direction interpolated to vertical grid (large scale forcing)
     REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  unudge      !< vertical profile of wind component in x-direction interpolated to vertical grid (nudging) 
@@ -124,5 +128,5 @@
     REAL(wp), DIMENSION(:), ALLOCATABLE ::  pt_surf       !< time-dependent surface temperature (large scale forcing)
     REAL(wp), DIMENSION(:), ALLOCATABLE ::  qsws_surf     !< time-dependent surface latent heat flux (large scale forcing)
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  q_surf        !< time-dependent surface specific humidity (large scale forcing)
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  q_surf        !< time-dependent surface water vapor mixing ratio (large scale forcing)
 
     SAVE
Index: /palm/trunk/SOURCE/microphysics_mod.f90
===================================================================
--- /palm/trunk/SOURCE/microphysics_mod.f90	(revision 3025)
+++ /palm/trunk/SOURCE/microphysics_mod.f90	(revision 3026)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Changed the name specific humidity to mixing ratio, since we are computing
+! mixing ratios.
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -2000,6 +2004,6 @@
                                  )
 !
-!--       Computation of saturation humidity:
-          q_s   = 0.622_wp * e_s / ( hyp(k) - 0.378_wp * e_s )
+!--       Computation of saturation mixing ratio:
+          q_s   = 0.622_wp * e_s / ( hyp(k) -  e_s )
           alpha = 0.622_wp * l_d_r * l_d_cp / ( t_l * t_l )
           q_s   = q_s * ( 1.0_wp + alpha * q_1d(k) ) /                         &
@@ -2132,6 +2136,6 @@
                                  )
 !
-!--       Computation of saturation humidity:
-          q_s   = 0.622_wp * e_s / ( hyp(k) - 0.378_wp * e_s )
+!--       Computation of saturation mixing ratio:
+          q_s   = 0.622_wp * e_s / ( hyp(k) - e_s )
           alpha = 0.622_wp * l_d_r * l_d_cp / ( t_l * t_l )
           q_s   = q_s * ( 1.0_wp + alpha * q_1d(k) ) /               &
@@ -2581,6 +2585,6 @@
                                   )
 !
-!--          Computation of saturation humidity:
-             q_s   = 0.622_wp * e_s / ( hyp(k) - 0.378_wp * e_s )
+!--          Computation of saturation mixing ratio:
+             q_s   = 0.622_wp * e_s / ( hyp(k) - e_s )
              alpha = 0.622_wp * l_d_r * l_d_cp / ( t_l * t_l )
              q_s   = q_s * ( 1.0_wp + alpha * q_1d(k) ) / ( 1.0_wp + alpha * q_s )
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 3025)
+++ /palm/trunk/SOURCE/modules.f90	(revision 3026)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Changed the name specific humidity to mixing ratio, since we are computing
+! mixing ratios.
+! 
+! 3014 2018-05-09 08:42:38Z maronga
 ! Added default values of u_max, v_max, and w_max to avoid floating invalid
 ! during spinup
@@ -644,5 +648,5 @@
     REAL(wp), DIMENSION(:), ALLOCATABLE ::  ptdf_y                 !< damping factor for potential temperature in y-direction 
     REAL(wp), DIMENSION(:), ALLOCATABLE ::  pt_init                !< initial profile of potential temperature 
-    REAL(wp), DIMENSION(:), ALLOCATABLE ::  q_init                 !< initial profile of specific humidity 
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  q_init                 !< initial profile of total water mixing ratio 
                                                                    !< (or total water content with active cloud physics) 
     REAL(wp), DIMENSION(:), ALLOCATABLE ::  rdf                    !< rayleigh damping factor for velocity components 
@@ -763,7 +767,7 @@
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  pt         !< potential temperature
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  pt_p       !< prognostic value of potential temperature
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  q          !< specific humidity
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  q          !< mixing ratio  
                                                                    !< (or total water content with active cloud physics)
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  q_p        !< prognostic value of specific humidity 
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  q_p        !< prognostic value of mixing ratio 
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  qc         !< cloud water content
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  qc_p       !< cloud water content
@@ -860,6 +864,6 @@
     REAL(wp), DIMENSION(:,:,:), POINTER, CONTIGUOUS ::  pt         !< pointer: potential temperature
     REAL(wp), DIMENSION(:,:,:), POINTER, CONTIGUOUS ::  pt_p       !< pointer: prognostic value of potential temperature
-    REAL(wp), DIMENSION(:,:,:), POINTER, CONTIGUOUS ::  q          !< pointer: specific humidity
-    REAL(wp), DIMENSION(:,:,:), POINTER, CONTIGUOUS ::  q_p        !< pointer: prognostic value of specific humidity
+    REAL(wp), DIMENSION(:,:,:), POINTER, CONTIGUOUS ::  q          !< pointer: mixing ratio
+    REAL(wp), DIMENSION(:,:,:), POINTER, CONTIGUOUS ::  q_p        !< pointer: prognostic value of mixing ratio
     REAL(wp), DIMENSION(:,:,:), POINTER, CONTIGUOUS ::  qc         !< pointer: cloud water content
     REAL(wp), DIMENSION(:,:,:), POINTER, CONTIGUOUS ::  qc_p       !< pointer: cloud water content
@@ -953,5 +957,5 @@
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  prr_av        !< avg. precipitation rate
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  pt_av         !< avg. potential temperature
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  q_av          !< avg. specific humidity
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  q_av          !< avg. mixing ratio
                                                                       !< (or total water content with active cloud physics)
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  qc_av         !< avg. cloud water content
@@ -962,5 +966,5 @@
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  ql_vp_av      !< avg. liquid water weighting factor
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  qr_av         !< avg. rain water content
-    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  qv_av         !< avg. water vapor content (specific humidity)
+    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  qv_av         !< avg. water vapor content (mixing ratio)
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  rho_ocean_av  !< avg. ocean density
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, TARGET ::  s_av          !< avg. passive scalar
Index: /palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 3025)
+++ /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 3026)
@@ -28,4 +28,8 @@
 ! -----------------
 ! $Id$
+! Changed the name specific humidity to mixing ratio, since we are computing
+! mixing ratios.
+! 
+! 3016 2018-05-09 10:53:37Z Giersch
 ! Revised structure of reading svf data according to PALM coding standard: 
 ! svf_code_field/len and fsvf removed, error messages PA0493 and PA0494 added,
@@ -590,5 +594,5 @@
 
     REAL(wp), DIMENSION(:), ALLOCATABLE :: hyp_snd,     & !< hypostatic pressure from sounding data (hPa)
-                                           q_snd,       & !< specific humidity from sounding data (kg/kg) - dummy at the moment
+                                           q_snd,       & !< mixing ratio from sounding data (kg/kg) - dummy at the moment
                                            rrtm_tsfc,   & !< dummy array for storing surface temperature
                                            t_snd          !< actual temperature from sounding data (hPa)
Index: /palm/trunk/SOURCE/surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/surface_mod.f90	(revision 3025)
+++ /palm/trunk/SOURCE/surface_mod.f90	(revision 3026)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Changed the name specific humidity to mixing ratio, since we are computing
+! mixing ratios.
+! 
+! 2977 2018-04-17 10:27:57Z kanani
 ! Implement changes from branch radiation (r2948-2971) with minor modifications,
 ! plus some formatting.
@@ -244,5 +248,5 @@
 
        REAL(wp), DIMENSION(:), ALLOCATABLE ::  pt1       !< Potential temperature at first grid level
-       REAL(wp), DIMENSION(:), ALLOCATABLE ::  qv1       !< Specific humidity at first grid level
+       REAL(wp), DIMENSION(:), ALLOCATABLE ::  qv1       !< mixing ratio at first grid level
        REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  css     !< scaling parameter chemical species
 !
@@ -1036,5 +1040,5 @@
 !
 !--    Arrays for storing potential temperature and
-!--    specific humidity at first grid level
+!--    mixing ratio at first grid level
        DEALLOCATE ( surfaces%pt1 )
        DEALLOCATE ( surfaces%qv1 )
@@ -1160,5 +1164,5 @@
 !
 !--    Arrays for storing potential temperature and
-!--    specific humidity at first grid level
+!--    mixing ratio at first grid level
        ALLOCATE ( surfaces%pt1(1:surfaces%ns) )
        ALLOCATE ( surfaces%qv1(1:surfaces%ns) )
@@ -1414,5 +1418,5 @@
 !
 !--    Arrays for storing potential temperature and
-!--    specific humidity at first grid level
+!--    mixing ratio at first grid level
        DEALLOCATE ( surfaces%pt1 )
        DEALLOCATE ( surfaces%qv1 )
@@ -1536,5 +1540,5 @@
 !
 !--    Arrays for storing potential temperature and
-!--    specific humidity at first grid level
+!--    mixing ratio at first grid level
        ALLOCATE ( surfaces%pt1(1:surfaces%ns) )
        ALLOCATE ( surfaces%qv1(1:surfaces%ns) )