Index: palm/trunk/SOURCE/lpm_calc_liquid_water_content.f90
===================================================================
--- palm/trunk/SOURCE/lpm_calc_liquid_water_content.f90	(revision 3038)
+++ palm/trunk/SOURCE/lpm_calc_liquid_water_content.f90	(revision 3039)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! bugfix for lcm with grid stretching
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -67,5 +70,5 @@
 
     USE arrays_3d,                                                             &
-        ONLY:  ql, ql_v, ql_vp
+        ONLY:  dzw, ql, ql_v, ql_vp
 
     USE cloud_parameters,                                                      &
@@ -127,6 +130,6 @@
              IF ( ql_v(k,j,i) /= 0.0_wp )  THEN
                 ql(k,j,i) = ql(k,j,i) + rho_l * 1.33333333_wp * pi *           &
-                                        ql_v(k,j,i) /                       &
-                                        ( rho_surface * dx * dy * dz )
+                                        ql_v(k,j,i) /                          &
+                                        ( rho_surface * dx * dy * dzw(k) )
 
                 IF ( ql(k,j,i) < 0.0_wp )  THEN
Index: palm/trunk/SOURCE/lpm_droplet_collision.f90
===================================================================
--- palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 3038)
+++ palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 3039)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! bugfix for lcm with grid stretching
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -114,5 +117,5 @@
 
     USE arrays_3d,                                                             &
-        ONLY:  diss, ql_v, ql_vp
+        ONLY:  diss, dzw, ql_v, ql_vp
 
     USE cloud_parameters,                                                      &
@@ -174,5 +177,5 @@
     number_of_particles   = prt_count(k,j,i)
     factor_volume_to_mass = 4.0_wp / 3.0_wp * pi * rho_l
-    ddV                   = 1.0_wp / ( dx * dy * dz )
+    ddV                   = 1.0_wp / ( dx * dy * dzw(k) )
 !
 !-- Collision requires at least one super droplet inside the box
Index: palm/trunk/SOURCE/lpm_droplet_condensation.f90
===================================================================
--- palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 3038)
+++ palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 3039)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! bugfix for lcm with grid stretching
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -124,5 +127,5 @@
 
     USE arrays_3d,                                                             &
-        ONLY:  hyp, pt, q, ql_c, ql_v
+        ONLY:  dzw, hyp, pt, q, ql_c, ql_v
 
     USE cloud_parameters,                                                      &
@@ -372,5 +375,5 @@
                                    rho_l * 1.33333333_wp * pi *                &
                                    ( new_r(n)**3 - particles(n)%radius**3 ) /  &
-                                   ( rho_surface * dx * dy * dz )
+                                   ( rho_surface * dx * dy * dzw(kp) )
 !
 !--    Check if the increase in liqid water is not too big. If this is the case,
Index: palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- palm/trunk/SOURCE/lpm_init.f90	(revision 3038)
+++ palm/trunk/SOURCE/lpm_init.f90	(revision 3039)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! bugfix for lcm with grid stretching
+! 
+! 2967 2018-04-13 11:22:08Z raasch
 ! nesting routine is only called if nesting is switched on
 ! 
@@ -209,5 +212,5 @@
 
     USE arrays_3d,                                                             &
-        ONLY:  de_dx, de_dy, de_dz, zu, zw
+        ONLY:  de_dx, de_dy, de_dz, dzw, zu, zw
 
     USE control_parameters,                                                    &
@@ -1161,5 +1164,5 @@
                      na(3) / ( SQRT( 2.0 * pi ) * log_sigma(3) ) *                     &
                      EXP( - LOG10( r_mid / rm(3) )**2 / ( 2.0 * log_sigma(3)**2 ) )    &
-                   ) * ( LOG10(r_r) - LOG10(r_l) ) * ( dx * dy * dz )
+                   ) * ( LOG10(r_r) - LOG10(r_l) ) * ( dx * dy * dzw(kp) )
 
 !