Index: palm/trunk/SCRIPTS/.palm.config.default
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.default	(revision 2834)
+++ palm/trunk/SCRIPTS/.palm.config.default	(revision 3043)
@@ -1,42 +1,129 @@
 #$Id$
 #column 1          column 2
-#name of variable  value of variable (~ must not be used)
-#----------------------------------------------------------------------------
+#name of variable  value of variable (~ must not be used except for base_data)
+#-----------------------------------------------------------------------------
+# working directory from where palmrun or palmbuild are called
 %base_directory    $HOME/palm/current_version
+
+# directory where PALM I/O is stored (used in .palm.iofiles)
 %base_data         ~/palm/current_version/JOBS
+
+# path to PALM's FORTRAN sources (installation folder)
 %source_path       $HOME/palm/current_version/trunk/SOURCE
+
+# path to user interface routines
 %user_source_path  $base_directory/JOBS/$jobname/USER_CODE
-#
+
+# path to file system with fast discs (if available). This folder
+# is used for temporary catalogs generated by palmrun and to store large
+# I/O files (used in .palm.iofiles). This folder must be accessible from
+# all compute nodes, i.e. it must reside in a global file system
+%fast_io_catalog   <replace by a folder name which allows for fast I/O>
+
+# folder for job protocols
+#%local_jobcatalog    $HOME/job_queue
+
+# folder for job protocols to be used on the remote host
+#%remote_jobcatalog   <path/to/directory on remote host>
+
+# local ip of your computer. Use 127.0.0.0 if you are running PALM
+# in interactive mode on your local computer
 %local_ip            <replace by your computers IP address>
+
+# your local UNIX username
 %local_username      <replace by your unix username>
-%fast_io_catalog     <replace by a folder name which allows for fast I/O>
+
+# ip address of the remote host
+#%remote_ip           <ip>
+
+# username on the remote host
+#%remote_username     <username>
+
+# ssh-key to be used for ssh/scp calls to the remote host
+#%ssh_key             ~/.ssh/id_rsa
+
+# name of login-node on the remote machine
+#%remote_loginnode    <loginnode>
+
+# default queue to be used if palmrun-option -q is omitted
+#%defaultqueue        <queue>
+
+# command to submit batch jobs
+#%submit_command      /opt/moab/default/bin/msub -E
+
+# compilername to generate MPI executables
 %compiler_name       mpif90
+
+# compilername to generate non-MPI executables running on one core
 %compiler_name_ser   ifort
+
+# preprocessor directives to be used for compiling the PALM code
 %cpp_options         -cpp -D__parallel -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION -D__fftw -D__netcdf
+
+# used for parallel compilation
 %make_options        -j 4
+
+# options to be used to compile PALM
 %compiler_options    -openmp -fpe0 -O3 -xHost -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -nbs -I /muksoft/packages/fftw/3.3.4/include -L/muksoft/packages/fftw/3.3.4/lib64 -lfftw3 -I /muksoft/packages/netcdf/4_intel/include -L/muksoft/packages/netcdf/4_intel/lib -lnetcdf -lnetcdff
+
+# options to be used to link the PALM executable
 %linker_options      -openmp -fpe0 -O3 -xHost -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -nbs -I /muksoft/packages/fftw/3.3.4/include -L/muksoft/packages/fftw/3.3.4/lib64 -lfftw3 -I /muksoft/packages/netcdf/4_intel/include -L/muksoft/packages/netcdf/4_intel/lib -lnetcdf -lnetcdff
+
+# name of hostfile to be used
 %hostfile            auto
+
+# command to start the PALM executable
 %execute_command     mpiexec  -machinefile hostfile  -n {{mpi_tasks}}  palm
-#
+
+# memory request per core
+#%memory              2300
+
+# module commands to load required libraries
+#%module_commands     module load fftw cray-hdf5-parallel cray-netcdf-hdf5parallel
+
+# special commands to be carried out at login and start of batch jobs on the remote host
+#%login_init_cmd      module switch craype-ivybridge craype-haswell
+
+
 #----------------------------------------------------------------------------
 # INPUT-commands, executed before running PALM - lines must start with "IC:" 
 #----------------------------------------------------------------------------
-#IC:
+#IC:ulimit -s unlimited
 #
 #----------------------------------------------------------------------------
 # ERROR-commands - executed when program terminates abnormally
 #----------------------------------------------------------------------------
-EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
-EC:[[ \$locat = execution ]]  &&  cat  PARTICLE_INFOS/*
+#EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
 #
 #----------------------------------------------------------------------------
 # OUTPUT-commands - executed when program terminates normally
 #----------------------------------------------------------------------------
-#
-# Combine 1D- and 3D-profile output (these files are not usable for plotting)
-OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
-OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
-#
-# Combine all particle information files
-OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
+#OC:echo "PALM job finished" | mailx user@somewhere
+
+
+#-------------------------------------------------------------------------------
+# Directives to be used for batch jobs
+# Lines must start with "BD:". If $-characters are required, hide them with \
+# Internal variables can be used as {{variable_name}}. Please see documentation.
+#-------------------------------------------------------------------------------
+BD:#!/bin/bash
+BD:#PBS -N {{job_id}}
+BD:#PBS -l walltime={{cpu_hours}}:{{cpu_minutes}}:{{cpu_seconds}}
+BD:#PBS -l nodes={{nodes}}:ppn={{tasks_per_node}}
+BD:#PBS -o {{job_protocol_file}}
+BD:#PBS -j oe
+BD:#PBS -q {{queue}}
+
+
+#-------------------------------------------------------------------------------
+# Directives for batch jobs used to send back the jobfiles from a remote to a local host
+# Lines must start with "BDT:". If $-characters are required, excape them with triple backslash
+# Internal variables can be used as {{variable_name}}. Please see documentation.
+#-------------------------------------------------------------------------------
+BDT:#!/bin/bash
+BDT:#PBS -N job_protocol_transfer
+BDT:#PBS -l walltime=00:30:00
+BDT:#PBS -l nodes=1:ppn=1
+BDT:#PBS -o {{job_transfer_protocol_file}}
+BDT:#PBS -j oe
+BDT:#PBS -q dataq