Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 3047)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 3048)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! add variable description
+! 
+! 3046 2018-05-29 08:02:15Z Giersch
 ! Error messages revised
 ! 
@@ -712,31 +715,30 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=1)   ::  sq                       !<
-    CHARACTER (LEN=varnamelength)  ::  var           !<
-    CHARACTER (LEN=7)   ::  unit                     !<
-    CHARACTER (LEN=8)   ::  date                     !<
-    CHARACTER (LEN=10)  ::  time                     !<
-    CHARACTER (LEN=20)  ::  ensemble_string          !<
-    CHARACTER (LEN=15)  ::  nest_string              !<
-    CHARACTER (LEN=40)  ::  coupling_string          !<
-    CHARACTER (LEN=100) ::  action                   !<
-
-    INTEGER(iwp) ::  i                               !<
-    INTEGER(iwp) ::  ilen                            !<
-    INTEGER(iwp) ::  j                               !<
-    INTEGER(iwp) ::  k                               !<
-    INTEGER(iwp) ::  kk                              !<
-    INTEGER(iwp) ::  netcdf_data_format_save         !<
-    INTEGER(iwp) ::  position                        !<
+    CHARACTER (LEN=varnamelength)  ::  var           !< variable name
+    CHARACTER (LEN=7)   ::  unit                     !< unit of variable
+    CHARACTER (LEN=8)   ::  date                     !< current date string
+    CHARACTER (LEN=10)  ::  time                     !< current time string
+    CHARACTER (LEN=20)  ::  ensemble_string          !< string containing number of ensemble member
+    CHARACTER (LEN=15)  ::  nest_string              !< string containing id of nested domain
+    CHARACTER (LEN=40)  ::  coupling_string          !< string containing type of coupling
+    CHARACTER (LEN=100) ::  action                   !< flag string
+
+    INTEGER(iwp) ::  i                               !< loop index
+    INTEGER(iwp) ::  ilen                            !< string length
+    INTEGER(iwp) ::  j                               !< loop index
+    INTEGER(iwp) ::  k                               !< loop index
+    INTEGER(iwp) ::  kk                              !< loop index
+    INTEGER(iwp) ::  netcdf_data_format_save         !< initial value of netcdf_data_format
+    INTEGER(iwp) ::  position                        !< index position of string
     INTEGER(iwp) ::  lsp                             !< running index for chem spcs.
 
-    LOGICAL     ::  found                            !<
+    LOGICAL     ::  found                            !< flag, true if output variable is already marked for averaging
 
     REAL(wp)    ::  dt_spinup_max                    !< maximum spinup timestep in nested domains
-    REAL(wp)    ::  dum                              !<
-    REAL(wp)    ::  gradient                         !<
-    REAL(wp)    ::  remote = 0.0_wp                  !<
+    REAL(wp)    ::  dum                              !< dummy variable
+    REAL(wp)    ::  gradient                         !< local gradient
+    REAL(wp)    ::  remote = 0.0_wp                  !< MPI id of remote processor
     REAL(wp)    ::  spinup_time_max                  !< maximum spinup time in nested domains
-    REAL(wp)    ::  time_to_be_simulated_from_reference_point  !<
+    REAL(wp)    ::  time_to_be_simulated_from_reference_point  !< time to be simulated from reference point
 
 
@@ -3628,5 +3630,5 @@
 !--    Generate masks for masked data output
 !--    Parallel netcdf output is not tested so far for masked data, hence
-!--    netcdf_data_format is switched back to non-paralell output.
+!--    netcdf_data_format is switched back to non-parallel output.
        netcdf_data_format_save = netcdf_data_format
        IF ( netcdf_data_format > 4 )  THEN
@@ -4356,12 +4358,12 @@
        IMPLICIT NONE
 
-       CHARACTER (LEN=1)   ::  sq                       !<
-       CHARACTER (LEN=*)   ::  bc_b
-       CHARACTER (LEN=*)   ::  bc_t
-       CHARACTER (LEN=*)   ::  err_nr_b
-       CHARACTER (LEN=*)   ::  err_nr_t
-
-       INTEGER(iwp)        ::  ibc_b
-       INTEGER(iwp)        ::  ibc_t
+       CHARACTER (LEN=1)   ::  sq         !< name of scalar quantity
+       CHARACTER (LEN=*)   ::  bc_b       !< bottom boundary condition
+       CHARACTER (LEN=*)   ::  bc_t       !< top boundary condition
+       CHARACTER (LEN=*)   ::  err_nr_b   !< error number if bottom bc is unknown
+       CHARACTER (LEN=*)   ::  err_nr_t   !< error number if top bc is unknown
+
+       INTEGER(iwp)        ::  ibc_b      !< index for bottom boundary condition
+       INTEGER(iwp)        ::  ibc_t      !< index for top boundary condition
 
 !
@@ -4406,6 +4408,6 @@
 !------------------------------------------------------------------------------!
 
-    SUBROUTINE check_bc_scalars( sq, bc_b, ibc_b,                 &
-                                 err_nr_1, err_nr_2,       &
+    SUBROUTINE check_bc_scalars( sq, bc_b, ibc_b,                      &
+                                 err_nr_1, err_nr_2,                   &
                                  constant_flux, surface_initial_change )
 
@@ -4413,14 +4415,14 @@
        IMPLICIT NONE
 
-       CHARACTER (LEN=1)   ::  sq                       !<
-       CHARACTER (LEN=*)   ::  bc_b
-       CHARACTER (LEN=*)   ::  err_nr_1
-       CHARACTER (LEN=*)   ::  err_nr_2
-
-       INTEGER(iwp)        ::  ibc_b
-
-       LOGICAL             ::  constant_flux
-
-       REAL(wp)            ::  surface_initial_change
+       CHARACTER (LEN=1)   ::  sq                       !< name of scalar quantity
+       CHARACTER (LEN=*)   ::  bc_b                     !< bottom boundary condition
+       CHARACTER (LEN=*)   ::  err_nr_1                 !< error number of first error
+       CHARACTER (LEN=*)   ::  err_nr_2                 !< error number of second error
+
+       INTEGER(iwp)        ::  ibc_b                    !< index of bottom boundary condition
+
+       LOGICAL             ::  constant_flux            !< flag for constant-flux layer
+
+       REAL(wp)            ::  surface_initial_change   !< value of initial change at the surface
 
 !
@@ -4431,7 +4433,7 @@
        IF ( .NOT. land_surface  .AND.  .NOT. large_scale_forcing )  THEN
           IF ( ibc_b == 0  .AND.  constant_flux )  THEN
-             message_string = 'boundary condition: bc_' // TRIM( sq ) // '_b ' //  &
-                              '= "' // TRIM( bc_b ) // '" is not allowed with ' // &
-                              'prescribed surface flux'
+             message_string = 'boundary condition: bc_' // TRIM( sq ) //       &
+                              '_b ' // '= "' // TRIM( bc_b ) //                &
+                              '" is not allowed with prescribed surface flux'
              CALL message( 'check_parameters', err_nr_1, 1, 2, 0, 6, 0 )
           ENDIF