Index: /palm/trunk/SOURCE/check_for_restart.f90
===================================================================
--- /palm/trunk/SOURCE/check_for_restart.f90	(revision 3048)
+++ /palm/trunk/SOURCE/check_for_restart.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error messages revised
 ! 
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 3048)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 3049)
@@ -28,4 +28,7 @@
 ! 
 ! 3046 2018-05-29 08:02:15Z Giersch
+! Error messages revised
+!
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error messages revised
 ! 
Index: /palm/trunk/SOURCE/cpulog_mod.f90
===================================================================
--- /palm/trunk/SOURCE/cpulog_mod.f90	(revision 3048)
+++ /palm/trunk/SOURCE/cpulog_mod.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error messages revised
 ! 
Index: /palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_2d.f90	(revision 3048)
+++ /palm/trunk/SOURCE/data_output_2d.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error messages revised
 ! 
Index: /palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_3d.f90	(revision 3048)
+++ /palm/trunk/SOURCE/data_output_3d.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error message revised
 ! 
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 3048)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error messages revised
 ! 
Index: /palm/trunk/SOURCE/init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/init_grid.f90	(revision 3048)
+++ /palm/trunk/SOURCE/init_grid.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error messages revised
 ! 
Index: /palm/trunk/SOURCE/init_masks.f90
===================================================================
--- /palm/trunk/SOURCE/init_masks.f90	(revision 3048)
+++ /palm/trunk/SOURCE/init_masks.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error messages revised
 ! 
Index: /palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- /palm/trunk/SOURCE/init_pegrid.f90	(revision 3048)
+++ /palm/trunk/SOURCE/init_pegrid.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error messages revised
 ! 
Index: /palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 3048)
+++ /palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error messages revised and added
 ! 
Index: /palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90
===================================================================
--- /palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 3048)
+++ /palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error messages revised 
 ! 
Index: /palm/trunk/SOURCE/lpm_droplet_condensation.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 3048)
+++ /palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error messages revised
 ! 
Index: /palm/trunk/SOURCE/lpm_exchange_horiz.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_exchange_horiz.f90	(revision 3048)
+++ /palm/trunk/SOURCE/lpm_exchange_horiz.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3046 2018-05-29 08:02:15Z Giersch
 ! Bugfix for gfortran: Replace the function C_SIZEOF with STORAGE_SIZE.
 ! Preprocessor directive(__gfortran) for c_sizeof removed.
Index: /palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_init.f90	(revision 3048)
+++ /palm/trunk/SOURCE/lpm_init.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error message revised
 ! 
Index: /palm/trunk/SOURCE/lpm_read_restart_file.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_read_restart_file.f90	(revision 3048)
+++ /palm/trunk/SOURCE/lpm_read_restart_file.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error messages revised, code adjusted according to PALMs coding standard
 ! 
Index: /palm/trunk/SOURCE/model_1d_mod.f90
===================================================================
--- /palm/trunk/SOURCE/model_1d_mod.f90	(revision 3048)
+++ /palm/trunk/SOURCE/model_1d_mod.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error message revised
 ! 
Index: /palm/trunk/SOURCE/netcdf_data_input_mod.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 3048)
+++ /palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error message revised
 ! 
Index: /palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 3048)
+++ /palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error messages revised, code adjusted to PALMs coding standards, CASE pt_ext
 ! pt_new disabled, comment revised
Index: /palm/trunk/SOURCE/package_parin.f90
===================================================================
--- /palm/trunk/SOURCE/package_parin.f90	(revision 3048)
+++ /palm/trunk/SOURCE/package_parin.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 2932 2018-03-26 09:39:22Z Giersch
 ! renamed particles_par to particle_parameters
 ! 
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 3048)
+++ /palm/trunk/SOURCE/parin.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! z_max_do2d removed, error messages revised
 ! 
Index: /palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 3048)
+++ /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error message revised
 ! 
Index: /palm/trunk/SOURCE/pmc_interface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 3048)
+++ /palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error messages revised
 ! 
Index: /palm/trunk/SOURCE/pmc_parent_mod.f90
===================================================================
--- /palm/trunk/SOURCE/pmc_parent_mod.f90	(revision 3048)
+++ /palm/trunk/SOURCE/pmc_parent_mod.f90	(revision 3049)
@@ -21,9 +21,12 @@
 ! Current revisions:
 ! ------------------
-! Comment extended
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Comment extended
+! 
+! 2841 2018-02-27 15:02:57Z Giersch
 ! Bugfix: wrong placement of include 'mpif.h' corrected
 ! 
Index: /palm/trunk/SOURCE/pmc_particle_interface.f90
===================================================================
--- /palm/trunk/SOURCE/pmc_particle_interface.f90	(revision 3048)
+++ /palm/trunk/SOURCE/pmc_particle_interface.f90	(revision 3049)
@@ -21,9 +21,12 @@
 ! Current revisions:
 ! ------------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------! 
 ! $Id$
+! Error messages revised
+! 
+! 2967 2018-04-13 11:22:08Z Giersch
 ! bugfix: missing parallel cpp-directives added
 ! 
Index: /palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 3048)
+++ /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 3049)
@@ -23,9 +23,12 @@
 ! Current revisions:
 ! ------------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error message revised
 ! 
Index: /palm/trunk/SOURCE/read_restart_data_mod.f90
===================================================================
--- /palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 3048)
+++ /palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error messages revised
 ! 
Index: /palm/trunk/SOURCE/spectra_mod.f90
===================================================================
--- /palm/trunk/SOURCE/spectra_mod.f90	(revision 3048)
+++ /palm/trunk/SOURCE/spectra_mod.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error message revised
 ! 
Index: /palm/trunk/SOURCE/surface_coupler.f90
===================================================================
--- /palm/trunk/SOURCE/surface_coupler.f90	(revision 3048)
+++ /palm/trunk/SOURCE/surface_coupler.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error message revised
 ! 
Index: /palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90
===================================================================
--- /palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 3048)
+++ /palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error message revised
 ! 
Index: /palm/trunk/SOURCE/temperton_fft_mod.f90
===================================================================
--- /palm/trunk/SOURCE/temperton_fft_mod.f90	(revision 3048)
+++ /palm/trunk/SOURCE/temperton_fft_mod.f90	(revision 3049)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error message revised
 ! 
Index: /palm/trunk/SOURCE/timestep.f90
===================================================================
--- /palm/trunk/SOURCE/timestep.f90	(revision 3048)
+++ /palm/trunk/SOURCE/timestep.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error message revised
 ! 
Index: /palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3048)
+++ /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3049)
@@ -23,9 +23,12 @@
 ! Current revisions:
 ! ------------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error message added
 ! 
Index: /palm/trunk/SOURCE/user_data_output_dvrp.f90
===================================================================
--- /palm/trunk/SOURCE/user_data_output_dvrp.f90	(revision 3048)
+++ /palm/trunk/SOURCE/user_data_output_dvrp.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 2718 2018-01-02 08:49:38Z Giersch
 ! Corrected "Former revisions" section
 ! 
Index: /palm/trunk/SOURCE/user_parin.f90
===================================================================
--- /palm/trunk/SOURCE/user_parin.f90	(revision 3048)
+++ /palm/trunk/SOURCE/user_parin.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! renamed userpar to user_parameters
 ! 
Index: /palm/trunk/SOURCE/user_spectra.f90
===================================================================
--- /palm/trunk/SOURCE/user_spectra.f90	(revision 3048)
+++ /palm/trunk/SOURCE/user_spectra.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Corrected "Former revisions" section
 ! 
Index: /palm/trunk/SOURCE/vertical_nesting_mod.f90
===================================================================
--- /palm/trunk/SOURCE/vertical_nesting_mod.f90	(revision 3048)
+++ /palm/trunk/SOURCE/vertical_nesting_mod.f90	(revision 3049)
@@ -21,9 +21,12 @@
 ! Current revisions:
 ! -----------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 3045 2018-05-28 07:55:41Z Giersch
 ! Error message revised
 ! 
Index: /palm/trunk/SOURCE/virtual_flight_mod.f90
===================================================================
--- /palm/trunk/SOURCE/virtual_flight_mod.f90	(revision 3048)
+++ /palm/trunk/SOURCE/virtual_flight_mod.f90	(revision 3049)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 2932 2018-03-26 09:39:22Z Giersch
 ! renamed flight_par to virtual_flight_parameters
 ! 
Index: /palm/trunk/SOURCE/wind_turbine_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 3048)
+++ /palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 3049)
@@ -21,9 +21,12 @@
 ! Current revisions:
 ! -----------------
-! Error messages revised
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Error messages revised
+! 
+! 2932 2018-03-26 09:39:22Z Giersch
 ! renamed wind_turbine_par to wind_turbine_parameters
 ! 